package com.kingdee.eas.custom.compensation;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class HandMacDepositEntryFactory
{
    private HandMacDepositEntryFactory()
    {
    }
    public static com.kingdee.eas.custom.compensation.IHandMacDepositEntry getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.IHandMacDepositEntry)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("B42995EB") ,com.kingdee.eas.custom.compensation.IHandMacDepositEntry.class);
    }
    
    public static com.kingdee.eas.custom.compensation.IHandMacDepositEntry getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.IHandMacDepositEntry)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("B42995EB") ,com.kingdee.eas.custom.compensation.IHandMacDepositEntry.class, objectCtx);
    }
    public static com.kingdee.eas.custom.compensation.IHandMacDepositEntry getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.IHandMacDepositEntry)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("B42995EB"));
    }
    public static com.kingdee.eas.custom.compensation.IHandMacDepositEntry getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.IHandMacDepositEntry)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("B42995EB"));
    }
}